--- old/usr/src/cmd/sgs/tools/Makefile.com	2019-07-14 19:12:32.015094208 +0000
+++ new/usr/src/cmd/sgs/tools/Makefile.com	2019-07-14 19:12:32.033819119 +0000
@@ -29,8 +29,10 @@
 #
 # Makefile to support tools used for linker development:
 #
-#  o	sgsmsg creates message headers/arrays/catalogs (a native tool).
+# chkmsg	- checks that sgsmsg is used correctly
+# piglatin	- generates phone message catalogs for testing
 #
+
 # Note, these tools are not part of the product.
 #
 # cmd/sgs/tools/Makefile.com
@@ -39,29 +41,12 @@
 
 include		$(SRC)/cmd/sgs/Makefile.com
 
-SGSPROTO=	../../proto/$(MACH)
-
-COMOBJS=
-
-NATOBJS=	piglatin.o
-
-OBJECTS=	$(COMOBJS)  $(NATOBJS)
-
-AVLOBJ=		avl.o
-TOOL_OBJS=	sgsmsg.o string_table.o findprime.o assfail.o
-SGSMSG_OBJS=	$(TOOL_OBJS) $(AVLOBJ)
-SGSMSG_SRCS=	$(TOOL_OBJS:%.o=../common/%.c) \
-		$(AVLOBJ:%.o=$(VAR_AVLDIR)/%.c)
-
-$(SGSMSG_OBJS) := NATIVE_CFLAGS += -I../../include $(VAR_TOOLS_CPPFLAGS)
+OBJECTS=	piglatin.o
 
-PROGS=		$(COMOBJS:%.o=%)
-NATIVE=		$(NATOBJS:%.o=%) sgsmsg
-SRCS=		$(COMOBJS:%.o=../common/%.c)  $(NATOBJS:%.o=../common/%.c)
+NATIVE=		$(OBJECTS:%.o=%)
+SRCS=		$(OBJECTS:%.o=../common/%.c)
 
 CPPFLAGS +=	$(VAR_TOOLS_CPPFLAGS)
-LDFLAGS +=	$(CC_USE_PROTO)
-CLEANFILES +=	$(SGSMSG_OBJS)
 
 ROOTDIR=	$(ROOT)/opt/SUNWonld
 ROOTPROGS=	$(PROGS:%=$(ROOTDIR)/bin/%)
